com.ibm.openpages.api.configuration

## Interface IFindGroupCondition

- All Superinterfaces:
    IFindCondition

      public interface IFindGroupCondition
      extends IFindCondition

  The interface that represents a group condition to query configuration data
  Since:
    8.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IFindGroupCondition.LogicalOp` logical operator to join sub conditions

    - ### Nested classes/interfaces inherited from interface com.ibm.openpages.api.configuration.IFindCondition

      `IFindCondition.ConditionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IFindCondition>` | `getConditions()` Returns sub conditions
    `IFindGroupCondition.LogicalOp` | `getLogicalOperator()` Returns logical operator
    `void` | `setConditions(java.util.List<IFindCondition> conditions)` Assigns sub conditions
    `void` | `setLogicalOperator(IFindGroupCondition.LogicalOp op)` Assigns logical operator

    - ### Methods inherited from interface com.ibm.openpages.api.configuration.IFindCondition

      `getType`

- - ### Method Detail

    - #### getLogicalOperator

          IFindGroupCondition.LogicalOp getLogicalOperator()

      Returns logical operator
      Returns:

    - #### setLogicalOperator

          void setLogicalOperator(IFindGroupCondition.LogicalOp op)

      Assigns logical operator
      Parameters:
        `op` -

    - #### getConditions

          java.util.List<IFindCondition> getConditions()

      Returns sub conditions
      Returns:

    - #### setConditions

          void setConditions(java.util.List<IFindCondition> conditions)

      Assigns sub conditions
      Parameters:
        `conditions` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.